API Reference    {#flatui_api_reference}
=============

This document describes all classes, functions, and files that make up the
[FlatUI][] library. This is intended to be used a reference for C++ programmers
who are familiar with [graphical user interfaces (GUIs)][].

The API reference is broken into the following sections:
   * [FlatUI Core][]
      - The core library that contains the functions that drive the GUI.
   * [Common Widgets][]
      - A collection of common widgets, such as sliders, scroll bars, and
        buttons.
   * [Font Manager][]
      - The classes and functions that are used by the library to manage fonts.

<br>

   [Common Widgets]: @ref flatui_common_widgets
   [FlatUI]: @ref flatui_overview
   [FlatUI Core]: @ref flatui_core
   [Font Manager]: @ref flatui_font_manager
   [graphical user interfaces (GUIs)]: https://en.wikipedia.org/wiki/Graphical_user_interface
